Bug 203773 - ESC problem when same user runs both 64 bit and 32 bit versions
ESC problem when same user runs both 64 bit and 32 bit versions
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Depends On:
Blocks: 181509
  Show dependency treegraph
Reported: 2006-08-23 13:58 EDT by Jack Magne
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 08:05:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Magne 2006-08-23 13:58:48 EDT
Description of problem:

ESC being based on Xulrunner, makes use of Mozilla's user profile system.

Xulrunner, in the case of the Xulrunner app named "esc", places the user's
profile in the directory ~/.redhat/esc.

If user ex: "janem" runs esc on a 32 bit system, all will be well.
Then if the same user installs esc on some other 64 bit system and launches esc,
esc can have problems due to the fact that the 64 bit version is trying to acces
s a profile created by the 32 bit version of esc.

Version-Release number of selected component (if applicable):


How reproducible:

Easily reproducible.

Steps to Reproduce:
1. Install esc on 32 bit system.
2. Proceed to run esc without incident as user "user".
3. Install esc on a 64 bit system/
4. Proceed to run esc as the same user "user".
Actual results:

The 64 bit invocation can have trouble starting, complaining about missing XPCOM

Expected results:

The 64 bit and 32 bit versions should co-exist for a given user.

Additional info:

The workaround for this when running the 64 bit version under these conditions,
would be the following:

Move or remove the directory ~/.redhat/esc and retry.
Comment 1 Jack Magne 2006-09-20 15:50:19 EDT
I am working on a fix for this that ensures re-registration of all ESC XPCOM
components. Testing has gone well so far
Comment 2 Jack Magne 2006-09-24 12:51:04 EDT
XPCOM fix inluded in Rawhide build esc-1.0.0-15 when available. Problem has not
has now shown up in testing.
Comment 4 Jay Turner 2006-11-13 08:05:42 EST
Closing out as resolved with the 20061111.0 trees.

Note You need to log in before you can comment on or make changes to this bug.